ru.bitel.bgbilling.modules.tv.runtime

## Class TvDeviceRuntimeMap

- java.lang.Object
- - ru.bitel.bgbilling.modules.tv.runtime.TvDeviceRuntimeMap

- All Implemented Interfaces:
    EventListener<Event>

      public class TvDeviceRuntimeMap
      extends java.lang.Object
      implements EventListener<Event>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TvDeviceRuntimeMap(Setup setup, int moduleId, int rootDeviceId, boolean loadSaScripts)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TvDeviceRuntime` | `get(java.lang.Integer id)`
    `TvDeviceRuntime` | `getAndLockSa(java.lang.Integer id)`
    `java.util.Map<java.lang.String,TvDeviceRuntime>` | `getDescendantMap(TvDeviceRuntime parent)`
    `java.util.Map<java.lang.Integer,TvDeviceRuntime>` | `getMap()`
    `void` | `load(java.sql.Connection con)`
    `void` | `notify(Event e, EventListenerContext ctx)`
    `java.util.Collection<TvDeviceRuntime>` | `values()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TvDeviceRuntimeMap

          public TvDeviceRuntimeMap(Setup setup,
                                    int moduleId,
                                    int rootDeviceId,
                                    boolean loadSaScripts)
                             throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

  - ### Method Detail

    - #### notify

          public void notify(Event e,
                             EventListenerContext ctx)
                      throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `notify` in interface `EventListener<Event>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### get

          public TvDeviceRuntime get(java.lang.Integer id)

    - #### getAndLockSa

          public TvDeviceRuntime getAndLockSa(java.lang.Integer id)

    - #### values

          public java.util.Collection<TvDeviceRuntime> values()

    - #### getMap

          public java.util.Map<java.lang.Integer,TvDeviceRuntime> getMap()

    - #### load

          public void load(java.sql.Connection con)
                    throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getDescendantMap

          public java.util.Map<java.lang.String,TvDeviceRuntime> getDescendantMap(TvDeviceRuntime parent)